Bug 1565614 - [RFE] BASH autocompletion for 'dnf module'
Summary: [RFE] BASH autocompletion for 'dnf module'
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 30
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
Assignee: nsella
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1478068
TreeView+ depends on / blocked
 
Reported: 2018-04-10 12:27 UTC by Jiri Kortus
Modified: 2020-05-11 12:50 UTC (History)
8 users (show)

Fixed In Version: dnf-4.2.21-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-11 12:50:20 UTC
Type: Bug


Attachments (Terms of Use)

Description Jiri Kortus 2018-04-10 12:27:51 UTC
Description of problem:
BASH autocompletion works for dnf in general, but is missing for the 'dnf module' command.

Version-Release number of selected component (if applicable):
dnf-2.7.5-8.fc28.noarch

How reproducible:
100%

Steps to Reproduce:
1. try to autocomplete 'dnf module' command (there are no suggestions for autocompletion)

Actual results:
Autocompletion for 'dnf module' doesn't work.

Expected results:
Autocompletion for 'dnf module' works and suggestions for available commands/options are provided.

Comment 1 Ben Cotton 2019-05-02 20:47:39 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Jiri Kortus 2019-05-03 11:35:31 UTC
The issue is still present on Fedora 30, the completion mostly works, but it seems it's sort of a side-effect or incomplete implementation, as at least some 'dnf module' subcommands are missing (e. g. enable, disable, reset).

Comment 4 Ben Cotton 2020-04-30 20:23:09 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 amatej 2020-05-11 12:50:20 UTC
This has been fixed in fedora >= 31.


Note You need to log in before you can comment on or make changes to this bug.